Bug 624926 - GPG is not usable
GPG is not usable
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gajim (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Michal Schmidt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-18 02:11 EDT by Pavel Alexeev
Modified: 2010-08-23 10:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-23 10:45:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Alexeev 2010-08-18 02:11:23 EDT
Description of problem:
After last update gajim complain what can't use GPG for my account.
$ gajim
/usr/share/gajim/src/common/passwords.py:108: UserWarning: multiple gnome keyring items found for account jabber.ru; trying to use the first one...
  % account_name)

And then appeared window with error.

Version-Release number of selected component (if applicable):
$ rpm -q gajim
gajim-0.13.4-1.fc13.noarch

How reproducible:
Always
Comment 1 Michal Schmidt 2010-08-18 08:36:11 EDT
Which packages were updated? Please use "yum history info" to find out.
Comment 2 Pavel Alexeev 2010-08-18 09:11:07 EDT
Last transaction have not sence, it performed after error and absolutely do not rely to this. I think it happened after that update:

# LANG=C yum history info 322
Loaded plugins: auto-update-debuginfo, changelog, downloadonly, fastestmirror, fs-snapshot, langpacks, post-transaction-actions, presto, refresh-packagekit, remove-with-leaves, rpm-warm-cache,
              : show-leaves, upgrade-helper, verify
Transaction ID : 322
Begin time     : Tue Aug 17 17:53:22 2010
Begin rpmdb    : 2082:cffbb711674917d4953fd4ed8d7bc4b6dbae1a3b
End time       :            18:00:40 2010 (438 seconds)
End rpmdb      : 2083:e5e21b5bea28802acf6f101ed0d2fca392db15ed
User           : Pavel <pasha>
Return-Code    : Success
Command Line   : upgrade
Transaction performed with:
    Installed     rpm-4.8.1-2.fc13.i686
    Installed     yum-3.2.28-3.fc13.noarch
    Installed     yum-metadata-parser-1.1.4-1.fc13.i686
    Installed     yum-plugin-auto-update-debug-info-1.1.28-1.fc13.noarch
    Installed     yum-plugin-fastestmirror-1.1.28-1.fc13.noarch
    Installed     yum-presto-0.6.2-1.fc13.noarch
Packages Altered:
    Updated     abrt-1.1.13-1.fc13.i686
    Update           1.1.13-2.fc13.i686
    Updated     abrt-addon-ccpp-1.1.13-1.fc13.i686
    Update                      1.1.13-2.fc13.i686
    Updated     abrt-addon-kerneloops-1.1.13-1.fc13.i686
    Update                            1.1.13-2.fc13.i686
    Updated     abrt-addon-python-1.1.13-1.fc13.i686
    Update                        1.1.13-2.fc13.i686
    Updated     abrt-desktop-1.1.13-1.fc13.i686
    Update                   1.1.13-2.fc13.i686
    Updated     abrt-gui-1.1.13-1.fc13.i686
    Update               1.1.13-2.fc13.i686
    Updated     abrt-libs-1.1.13-1.fc13.i686
    Update                1.1.13-2.fc13.i686
    Updated     abrt-plugin-bugzilla-1.1.13-1.fc13.i686
    Update                           1.1.13-2.fc13.i686
    Updated     abrt-plugin-logger-1.1.13-1.fc13.i686
    Update                         1.1.13-2.fc13.i686
    Updated     abrt-plugin-runapp-1.1.13-1.fc13.i686
    Update                         1.1.13-2.fc13.i686
    Updated     autocorr-en-1:3.2.0-12.29.fc13.noarch
    Update                  1:3.2.0-12.31.fc13.noarch
    Updated     autocorr-ru-1:3.2.0-12.29.fc13.noarch
    Update                  1:3.2.0-12.31.fc13.noarch
    Updated     dbus-glib-0.86-3.fc13.i686
    Update                0.86-4.fc13.i686
    Updated     dbus-glib-debuginfo-0.86-3.fc13.i686
    Update                          0.86-4.fc13.i686
    Updated     dbus-glib-devel-0.86-3.fc13.i686
    Update                      0.86-4.fc13.i686
    Updated     flash-plugin-4:10.1.53.64-1.fc13.i686
    Update                   5:10.1-3.fc13.i386
    Dep-Install flash-plugin-i386-4:10.1.82.76-1.fc13.i386
    Updated     gnupg2-2.0.14-4.fc13.i686
    Update             2.0.14-5.fc13.i686
    Updated     jna-3.2.7-4.fc13.i686
    Update          3.2.7-5.fc13.i686
    Updated     nss-3.12.6-11.fc13.i686
    Update          3.12.6-12.fc13.i686
    Updated     nss-debuginfo-3.12.6-11.fc13.i686
    Update                    3.12.6-12.fc13.i686
    Updated     nss-devel-3.12.6-11.fc13.i686
    Update                3.12.6-12.fc13.i686
    Updated     nss-sysinit-3.12.6-11.fc13.i686
    Update                  3.12.6-12.fc13.i686
    Updated     nss-tools-3.12.6-11.fc13.i686
    Update                3.12.6-12.fc13.i686
    Updated     patch-2.6.1-1.fc13.i686
    Update            2.6.1-4.fc13.i686
    Updated     scribus-1.3.7-3.fc13.i686
    Update              1.3.8-1.fc13.i686
    Updated     scribus-doc-1.3.7-3.fc13.noarch
    Update                  1.3.8-1.fc13.noarch
    Updated     setroubleshoot-2.2.91-1.fc13.i686
    Update                     2.2.93-1.fc13.i686
    Updated     setroubleshoot-server-2.2.91-1.fc13.i686
    Update                            2.2.93-1.fc13.i686
    Updated     source-highlight-3.1.3-1.fc13.i686
    Update                       3.1.4-1.fc13.i686
history info


May it be linked to update of gnupg2 directly? Do you have same version?
Comment 3 Michal Schmidt 2010-08-18 09:32:02 EDT
Yes, it is probably related to the gnupg2 update. 2.0.14-5.fc13 is from updates-testing, right? I do not have an F13 system at hand right now to verify.

And it seems 2.0.14-5.fc13 has already been obsoleted by a newer update:
https://admin.fedoraproject.org/updates/gnupg2-2.0.14-6.fc13,gnupg-1.4.10-2.fc13
Comment 4 David 2010-08-19 02:28:01 EDT
The issue is the -5 package does not create a /usr/bin/gpg symlink so thunderbird enigmail breaks.

You can fix it my creating a symlink until the -6 comes through.

See with-4
lrwxrwxrwx. root root system_u:object_r:bin_t:s0       /usr/bin/gpg -> gpg2

Now -5
nothing

Lets hope the symlink is in -6 or we are back here!

ln -s /usr/bin/gpg2 /usr/bin/gpg
chcon -u system_u /usr/bin/gpg -h

Now its back and happy!

ls -laZ /usr/bin/gpg
lrwxrwxrwx. root root system_u:object_r:bin_t:s0       /usr/bin/gpg -> /usr/bin/gpg2

And it all works!
Comment 5 Michal Schmidt 2010-08-19 03:00:17 EDT
I don't recommend manual workarounds like that.

You do not have to wait for the gnupg2+gnupg update to propagate to the repositories. You can download the built packages from Koji, test them and leave a feedback on the Bodhi page
https://admin.fedoraproject.org/updates/gnupg2-2.0.14-6.fc13,gnupg-1.4.10-2.fc13
Comment 6 David 2010-08-19 03:09:08 EDT
Last I looked its still pending so it might make tomorrows run.  I will test it once it makes into repo.

I will delete my symlink before I update the package :)
Comment 7 Michal Schmidt 2010-08-23 10:45:30 EDT
The gnupg2+gnupg update mentioned above has already reached the stable repos. I believe it fixes the bug.
Feel free to reopen if you're still having the trouble with GPG in Gajim.
Comment 8 Pavel Alexeev 2010-08-23 10:47:01 EDT
I confirm what problem fixed.
Thank you very much.

Note You need to log in before you can comment on or make changes to this bug.